質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.22%

fluent-plugin-mysql-binlogをインストールしようとするとエラーになる

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 1,334

yu_1985

score 2004

前提・実現したいこと

AWS上のRDSのbinlogを継続的に取得し、S3に保存したいと思っています。
そのための手法の一つとして、fluentdを使ってAWS上のRDSのbinlogを取得し、S3に保存することを考えました。
fluentdにはfluent-plugin-mysql-binlogというプラグインがあり、これを使えば楽にS3にbinlogを送れるのではと考え、検証することにしました。

上記の目的を達成するために、下記のエラーの解消方法をご教示いただきたいと思っております。
※そもそもこれ以外でよいやり方があれば、ご教示いただけると非常に助かります。

発生している問題・エラーメッセージ

sudo td-agent-gem install fluent-plugin-mysql-binlog
を実行したときのエラーです。

Fetching: ruby-binlog-0.1.9.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing fluent-plugin-mysql-binlog:
        ERROR: Failed to build gem native extension.

    /opt/td-agent/embedded/bin/ruby -r ./siteconf20170303-11252-k8nh3v.rb extconf.rb
checking for main() in -lstdc++... yes
checking for main() in -lreplication... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=/opt/td-agent/embedded/bin/ruby
        --with-stdc++lib
        --without-stdc++lib
        --with-replicationlib
        --without-replicationlib

extconf failed, exit code 1

Gem files will remain installed in /opt/td-agent/embedded/lib/ruby/gems/2.1.0/gems/ruby-binlog-0.1.9 for inspection.
Results logged to /opt/td-agent/embedded/lib/ruby/gems/2.1.0/extensions/x86_64-linux/2.1.0/ruby-binlog-0.1.9/gem_make.out

何かライブラリが足りないのかと思ったのですが、下記の試したことのところのものではなかったようです。
手詰まりになったため、質問させていただこうと思いました。

試したこと

sudo yum install libxml2 libxslt libxml2-devel libxslt-devel
を実行してみましたが、全てインストール済みでした。

補足情報(言語/FW/ツール等のバージョンなど)

  • OS
    Amazon Linux
  • mysqlのバージョン
    mysql  Ver 14.14 Distrib 5.6.35, for Linux (x86_64) using  EditLine wrapper
  • fluentdのバージョン
    td-agent-2.3.4-1
    ※検証時に新たにインストールしたので最新版です。

情報が不足しているようでしたら後ほど追記します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.22%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る